GRAM-GA(1p)

NAME
gram-ga.pl - Command-line interface to An Gramadóir

SYNOPSIS
gram-ga.pl [options] [FILE...]

DESCRIPTION
This script checks the grammar of Irish language input FILEs (or standard input if no files are named). The default behavior is to write a summary of possible errors to standard output.

OPTIONS

-a, --all, --iomlan
    report all errors (i.e. do not use ~/.neamhshuim)

-f, --incode, --ionchod=ENC
    specify the character encoding of the text to be checked

-t, --outcode, --aschod=ENC
    specify the character encoding for output

--interface, --comheadan=xx
    choose the language for error messages

--color, --colour, --dath=COLOR
    specify the color to use for highlighting errors

-l, --list, --litriu
    write misspelled words to standard output

--moltai, --aspell
    suggest corrections for misspellings

-o, --output, --aschur=FILE
    write output to FILE

-h, --cabhair, --help
    display this help and exit

-v, --leagan, --version
    output version information and exit

--api
    output a simple XML format for use with other applications

--html
    produce HTML output for viewing in a web browser

--no-unigram
    do not resolve ambiguous parts of speech by frequency

--xml
    write tagged XML stream to standard output, for debugging

FILES
If there are words you wish to be ignored by the grammar checker (proper names, etc.) you can place them in a file called .neamhshuim in your home directory, one word per line.

REQUIRES
Perl 5.8, Lingua::GA::Gramadoir

SEE ALSO

•   <http://borel.slu.edu/gramadoir/>

•   Lingua::GA::Gramadoir

•   perl(1)

AUTHOR
Kevin P. Scannell, <kscanne@gmail.com>.

COPYRIGHT AND LICENSE
Copyright (C) 2004, 2005, 2007 Kevin P. Scannell

This is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.2 or, at your option, any later version of Perl 5 you may have available.